/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.model;

import java.util.List;

/**
 * Classes implementing this interface can provide 
 * Register implementations using  @ServiceProvider(service = FieldProvider.class)
 * @author Gerben Feenstra & Merijn Zengers
 */
public interface FieldProvider {
    
    List<Field> getFields();
    
    String getDisplayName();   
    
    /**
     * Import list of shapes and make field from them
     */
    void importShapes(List<Shape> shapes);
}
