/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.model;

import java.util.List;

/**
 * Service for field objects
 * Providers for fields can register themselves with this service
 * Implementations of this interface should use
 * @Serviceprovider(service=FieldService.class)
 * to let the world know that they can provide an implementation
 * @author Gerben Feenstra & Merijn Zengers
 */
public interface FieldService {

    void register(FieldProvider fieldProvider);
    
    void unregister(FieldProvider fieldProvider);
    
    List<FieldProvider> getFieldProviders();
    
}
